Subject: Re: [rtcweb] draft-ietf-rtcweb-sdp-02 submitted
From: Suhas Nandakumar <[email-masked]>
To: "Olle E. Johansson" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 12 Jul 2016 18:15:06 +0530
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

Hello Olle

  Thanks for the review. I will go through the other comments in a while
but wanted to share one thought on the ptime feedback

JSEP-15 says

   - If this m= section is for media with configurable frame sizes, e.g.
   audio, an "a=maxptime" line, indicating the smallest of the maximum
   supported frame sizes out of all codecs included above, as specified in
   [RFC4566]
   <https://tools.ietf.org/id/draft-ietf-rtcweb-jsep-15.html#RFC4566>,
   Section 6."

The current set of examples try to follow JSEP specification to the closest
in how the SDP is constructed barring few open issues on handing certain
attributes

Please let us know your thoughts  on various ptimes across codecs is
something that should go in JSEP spec SDP rules as well ?

Thanks
Suhas

On Tue, Jul 12, 2016 at 5:40 PM, Olle E. Johansson <[email-masked]> wrote:

>
> On 12 Jul 2016, at 09:55, Olle E. Johansson <[email-masked]> wrote:
>
>
> General:
>
> I would like to see some examples using the current IP protocol, not the legacy IPv4,
>
> as well as dual stack examples.
>
>
> - An IPv6 only web browser offering an IPv4 through a relay ice candidate
>
> - A dual stack client
>
> - A full IPv6 exchange - maybe switch one of the examples using IPv4 to IPv6
>
>   just to show the syntax of address and port number
>
>
> In addition I think an offer/answer with different packetization times,
> like
> alaw/30 ms, Opus/60 ms or something similar. Yes, I’m going down a rat
> hole,
> but it will come up and we’d better document a proposal for how to handle
> this.
>
> If one wants to be messy you can add DTMF or CNG to an offer/answer using
> alaw at 8000 hz and Opus at 48000 making it necessary to have multiple DTMF
> and CNG for that media stream. But that may be out of scope for this
> particular
> document, even though it may add clarity.
>
> /O
>